__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Remove CVS data files"

    def bootstrap(self):
        cvsroot = self.cfg['CVS_REPOSITORY_BASE']
        if os.path.islink(cvsroot):
            cvsroot = os.readlink(cvsroot)
        if os.path.exists(cvsroot):
            app.util.runSystem("rm -rf %s" % cvsroot, self.log)
