__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import app.preprocessor
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Remove Subversion data files"

    def bootstrap(self):
        svnroot = self.cfg['SUBVERSION_REPOSITORY_BASE']
        if os.path.islink(svnroot):
            svnroot = os.readlink(svnroot)
        if os.path.exists(svnroot):
            app.util.runSystem("rm -rf %s/*" % svnroot, self.log)
            app.util.runSystem("rm -rf %s/.scm.properties" % svnroot, self.log)
